EDIT - feature request #9509

IIIF manifest includes media source information
03/03/2021 06:23 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal

Description

source data of media entities need to be added to the IlIF manifests.
This need to be implemented into the ManifestComposer

source information can be added to the iiif manifest as metadata as exemplified in
https://iiif.io/api/presentation/3.0/#b-example-manifest-response

"metadata": [
{
"label": { "en": [ "Source" ] },
"value": { "none": [ "<span>From: <a href=\"https://example.org/db/1.html\"
>Some Collection</a></span>" 1 }

}

Associated revisions

Revision 5a1bde2d - 03/03/2021 06:49 PM - Andreas Kohlbecker

fix #9509 adding media.source information to iiif manifest

Revision bd13f8fa - 03/09/2021 05:05 PM - Andreas Kohlbecker

ref #9509 fixing LIEs related to sources and identifiers

Revision bab2a431 - 03/09/2021 05:05 PM - Andreas Kohlbecker
ref #9509 adding identifiers and fixing bug

History

#1 - 03/03/2021 06:49 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|5a1bde2d875ebc302cae81e09f994cae51877b67.

#2 - 03/03/2021 06:50 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.21

#3 - 03/03/2021 06:51 PM - Andreas Kohlbecker

implemented, formatting of the output my need further improvement

#4 - 03/09/2021 05:05 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
